Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.dvsl
Interface TransformTool

All Known Implementing Classes:
  Transformer

    public interface TransformTool

This is the tool interface exposed to the stylesheet.

Author:
  Geir Magnusson Jr.

Method Summary
`java.lang.String` | `applyTemplates()`
`java.lang.String` | `applyTemplates(DVSLNode node)`
`java.lang.String` | `applyTemplates(DVSLNode node, java.lang.String xpath)`
`java.lang.String` | `applyTemplates(java.lang.String xpath)` Applies templates in the current stylesheet to the nodeset returned by the XPath expression
`java.lang.String` | `copy()`
`java.lang.Object` | `get(java.lang.String key)`
`java.lang.Object` | `getAppValue(java.lang.Object key)`
`java.lang.Object` | `putAppValue(java.lang.Object key, java.lang.Object value)`

Method Detail

### applyTemplates

    java.lang.String applyTemplates(java.lang.String xpath)
                                    throws java.lang.Exception

  Applies templates in the current stylesheet to the nodeset returned by the XPath expression

  Parameters:
    `xpath` - XPath expression to select nodes
  Returns:
    The rendered result
  Throws:
    `java.lang.Exception`

### applyTemplates

    java.lang.String applyTemplates(DVSLNode node)
                                    throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### applyTemplates

    java.lang.String applyTemplates(DVSLNode node,
                                    java.lang.String xpath)
                                    throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### applyTemplates

    java.lang.String applyTemplates()
                                    throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### copy

    java.lang.String copy()
                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### get

    java.lang.Object get(java.lang.String key)

### getAppValue

    java.lang.Object getAppValue(java.lang.Object key)

### putAppValue

    java.lang.Object putAppValue(java.lang.Object key,
                                 java.lang.Object value)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2001-2007 Apache Software Foundation